## golang-github-uber-go-atomic 1.3.2%2Bgit20181018.8dc6146

=== Makefile ===
PACKAGES := $(shell glide nv)
# Many Go tools take file globs or directories as arguments instead of packages.
PACKAGE_FILES ?= *.go


# The linting tools evolve with each Go version, so run them only on the latest
# stable release.
GO_VERSION := $(shell go version | cut -d " " -f 3)
GO_MINOR_VERSION := $(word 2,$(subst ., ,$(GO_VERSION)))
LINTABLE_MINOR_VERSIONS := 7 8
ifneq ($(filter $(LINTABLE_MINOR_VERSIONS),$(GO_MINOR_VERSION)),)
SHOULD_LINT := true
endif


export GO15VENDOREXPERIMENT=1


.PHONY: build
build:
	go build -i $(PACKAGES)


.PHONY: install
install:
	glide --version || go get github.com/Masterminds/glide
	glide install


.PHONY: test
test:
	go test -cover -race $(PACKAGES)


.PHONY: install_ci
install_ci: install
	go get github.com/wadey/gocovmerge
	go get github.com/mattn/goveralls
	go get golang.org/x/tools/cmd/cover
ifdef SHOULD_LINT
	go get github.com/golang/lint/golint
endif

.PHONY: lint
lint:
ifdef SHOULD_LINT
	@rm -rf lint.log
	@echo "Checking formatting..."
	@gofmt -d -s $(PACKAGE_FILES) 2>&1 | tee lint.log
	@echo "Checking vet..."
	@$(foreach dir,$(PACKAGE_FILES),go tool vet $(dir) 2>&1 | tee -a lint.log;)
	@echo "Checking lint..."
	@$(foreach dir,$(PKGS),golint $(dir) 2>&1 | tee -a lint.log;)
	@echo "Checking for unresolved FIXMEs..."
	@git grep -i fixme | grep -v -e vendor -e Makefile | tee -a lint.log
	@[ ! -s lint.log ]
else
	@echo "Skipping linters on" $(GO_VERSION)
endif


.PHONY: test_ci
test_ci: install_ci build
	./scripts/cover.sh $(shell go list $(PACKAGES))

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/golang-github-uber-go-atomic-\$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/ \
  https://github.com/uber-go/atomic/tags .*/v?(\d\S*)\.tar\.gz

## golang-github-uber-go-atomic 1.3.2+git20181018.8dc6146

=== debian/changelog ===
golang-github-uber-go-atomic (1.3.2+git20181018.8dc6146-2) unstable; urgency=medium

  * upload source package

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 14 Jul 2019 23:26:36 +0000

golang-github-uber-go-atomic (1.3.2+git20181018.8dc6146-1) unstable; urgency=medium

  * Initial release

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 20 Feb 2019 19:14:11 +0100

=== debian/control ===
Source: golang-github-uber-go-atomic
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper (>= 11),
               dh-golang,
               golang-any,
               golang-github-stretchr-testify-dev,
               golang-go.uber-atomic-dev
Standards-Version: 4.3.0
Homepage: https://github.com/uber-go/atomic
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-uber-go-atomic
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-uber-go-atomic.git
XS-Go-Import-Path: github.com/uber-go/atomic
Testsuite: autopkgtest-pkg-go

Package: golang-github-uber-go-atomic-dev
Architecture: all
Depends: ${misc:Depends},
         golang-github-stretchr-testify-dev,
         golang-go.uber-atomic-dev
Description: Wrapper types for sync/atomic which enforce atomic access
 This package contains simple wrappers for primitive types to enforce
 atomic access. The standard library's sync/atomic is powerful, but
 it's easy to forget which variables must be accessed atomically.
 This library preserves all the functionality of the standard library,
 but wraps the primitive types to provide a safer, more convenient API.

## golang-github-uber-go-atomic 1.7.0

=== debian/changelog ===
golang-github-uber-go-atomic (1.7.0-1) unstable; urgency=low

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

  [ Thorsten Alteholz ]
  * New upstream release

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 01 Dec 2020 20:33:07 +0000

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Thorsten Alteholz <debian@alteholz.de>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                dh-golang,
                golang-any,
                golang-github-stretchr-testify-dev,
                golang-go.uber-atomic-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Homepage: https://github.com/uber-go/atomic
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-uber-go-atomic
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-uber-go-atomic.git

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_install:
	dh_auto_install
	rm -rf ./debian/golang-github-uber-go-atomic-dev/usr/bin

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/golang-github-uber-go-atomic-\$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/ \
  https://github.com/uber-go/atomic/tags .*/v?(\d\S*)\.tar\.gz debian uupdate

## golang-github-uber-go-atomic 1.8.0

=== debian/changelog ===
golang-github-uber-go-atomic (1.8.0-2) unstable; urgency=medium

  * d/p/0001-uintptr-test-Fix-overflow-on-architectures-with-32-b.patch:
    Fix uintptr test on 32-bit architectures. (Closes: #990827) (LP: #1935069)

 -- Sergio Durigan Junior <sergiodj@debian.org>  Fri, 09 Jul 2021 12:32:37 -0400

golang-github-uber-go-atomic (1.8.0-1) unstable; urgency=medium

  * New upstream version 1.8.0
  * d/control: Bump Standards-Version to 4.5.1.
  * d/control: Bump debhelper-compat to 13.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Tue, 06 Jul 2021 23:02:21 -0400

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Thorsten Alteholz <debian@alteholz.de>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
                golang-github-stretchr-testify-dev,
                golang-go.uber-atomic-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/uber-go/atomic
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-uber-go-atomic
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-uber-go-atomic.git
